Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.lsid
Class LifeScienceIdentifierParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.lsid.LifeScienceIdentifierParseException

All Implemented Interfaces:
  Serializable

    public class LifeScienceIdentifierParseException

extends Exception

Exception thrown in the event of an error in parsing a LSID-formatted string.

Author:
  Michael Heuer
See Also:
  Serialized Form

Constructor Summary
`LifeScienceIdentifierParseException()` Construct a new parse exception with no message.
`LifeScienceIdentifierParseException(String message)` Construct a new parse exception with the specified error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifeScienceIdentifierParseException

    public LifeScienceIdentifierParseException()

  Construct a new parse exception with no message.

### LifeScienceIdentifierParseException

    public LifeScienceIdentifierParseException(String message)

  Construct a new parse exception with the specified error message.

  Parameters:
    `message` - error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD